Name: icinga-notifications
Version: 0.1.1
Release: 1.fc41
Summary: Improved notifications and incident management for your Icinga stack

Group: Productivity/Databases/Daemons

License: GPLv2

URL: https://icinga.com
Source0: icinga-notifications-0.1.1.tgz
Source1: icinga-notifications.service

BuildRequires: gcc
BuildRequires: systemd-rpm-macros
BuildRequires: make

Requires(pre): shadow-utils
Requires: tzdata

%description
Icinga Notifications daemon is responsible for processing received monitoring
events from various sources, managing incidents and forwards notifications to
predefined contacts.

%define debug_package %{nil}

%prep
%autosetup

%build
export GOFLAGS='-buildvcs=false -trimpath'

/usr/bin/make %_smp_mflags V=1 VERBOSE=1 sbindir=/usr/sbin libexecdir=/usr/libexec datadir=/usr/share sysconfdir=/etc

%check
make test

%install
/usr/bin/make install DESTDIR=%_topdir/BUILD/icinga-notifications-0.1.1-build/BUILDROOT INSTALL="/usr/bin/install -p" sbindir=/usr/sbin libexecdir=/usr/libexec datadir=/usr/share sysconfdir=/etc

chmod -R o= %_topdir/BUILD/icinga-notifications-0.1.1-build/BUILDROOT/etc/icinga-notifications
install -Dpm 0644 %_topdir/SOURCES/icinga-notifications.service %_topdir/BUILD/icinga-notifications-0.1.1-build/BUILDROOT/usr/lib/systemd/system/icinga-notifications.service

install -dm 0755 %_topdir/BUILD/icinga-notifications-0.1.1-build/BUILDROOT/usr/share/doc/icinga-notifications
cp -v README.md %_topdir/BUILD/icinga-notifications-0.1.1-build/BUILDROOT/usr/share/doc/icinga-notifications/
cp -rv doc %_topdir/BUILD/icinga-notifications-0.1.1-build/BUILDROOT/usr/share/doc/icinga-notifications/

%pre
if ! getent passwd icinga-notifications >/dev/null; then
useradd --system --user-group --home-dir / --shell /usr/sbin/nologin icinga-notifications || true
fi

%post

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icinga-notifications.service || :
fi

%preun

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icinga-notifications.service || :
fi

%postun

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icinga-notifications.service || :
fi

%files
%license LICENSE
/usr/sbin/icinga-notifications
/usr/libexec/icinga-notifications
/usr/lib/systemd/system/icinga-notifications.service
/usr/share/icinga-notifications
/usr/share/doc/icinga-notifications

%attr(-, root, icinga-notifications) /etc/icinga-notifications
%attr(-, root, icinga-notifications) %config(noreplace) /etc/icinga-notifications/config.yml

%changelog
* Fri Nov 15 2024 Icinga GmbH <info@icinga.com> - 0.1.1-1.fc41
- Release 0.1.1-1

